# _SearchMovieFilter
Input Object

## Fields

## #

and

[ _SearchMovieFilter !]

doILikeIt

_BooleanCondition

externalId

_IDCondition

haveIWatchedIt

_BooleanCondition

imdbScore

_FloatCondition

name

_StringCondition

not

_SearchMovieFilter

or

[ _SearchMovieFilter !]

year

_IntCondition

## Usages

## #

#### References

#### #

- Argument filter of field searchMovie from type Query

- Argument filter of field aggregateMovie from type Query

Previous

_SearchMovieFields

Next

_SearchMovieListFields